Package org.apache.sysds.runtime.codegen

# Enum Class SpoofCellwise.AggOp

java.lang.Object
java.lang.Enum<SpoofCellwise.AggOp>
org.apache.sysds.runtime.codegen.SpoofCellwise.AggOp

All Implemented Interfaces:
  `Serializable`, `Comparable<SpoofCellwise.AggOp>`, `Constable`

Enclosing class:
  SpoofCellwise

public static enum SpoofCellwise.AggOp extends Enum<SpoofCellwise.AggOp>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAX`
`MIN`
`PROD`
`SUM`
`SUM_SQ`

## Method Summary

Modifier and Type
Method
Description
`static SpoofCellwise.AggOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.AggOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUM

public static final SpoofCellwise.AggOp SUM

### SUM_SQ

public static final SpoofCellwise.AggOp SUM_SQ

### MIN

public static final SpoofCellwise.AggOp MIN

### MAX

public static final SpoofCellwise.AggOp MAX

### PROD

public static final SpoofCellwise.AggOp PROD

## Method Details

### values

public static SpoofCellwise.AggOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpoofCellwise.AggOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null